Configure HubSpot List Routing
curl --request PUT \
--url https://api.getnexor.ai/api/public/hubspot/list-routing \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"rules": [
{
"list_id": 123,
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"recurring": false,
"pause_on_exit": false,
"sync_interval_minutes": 30
}
]
}
'import requests
url = "https://api.getnexor.ai/api/public/hubspot/list-routing"
payload = { "rules": [
{
"list_id": 123,
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"recurring": False,
"pause_on_exit": False,
"sync_interval_minutes": 30
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: [
{
list_id: 123,
workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
recurring: false,
pause_on_exit: false,
sync_interval_minutes: 30
}
]
})
};
fetch('https://api.getnexor.ai/api/public/hubspot/list-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>",
"list_routing": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>",
"field": "<unknown>",
"unknown_keys": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>",
"workflow_id": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>",
"fix": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Configure HubSpot List Routing
This operation lets you configure HubSpot list routing for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PUT
/
hubspot
/
list-routing
Configure HubSpot List Routing
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Body
application/json
Maximum array length:
100Show child attributes
Show child attributes
Last modified on September 8, 2026
⌘I